Subject: Re: [PATCH] Don't do status in submodules if status.SubmoduleSummary unset

From: Jens Lehmann <[email-masked]>
Date: Thu, 20 May 2010 22:14:01 +0200

Am 20.05.2010 21:34, schrieb Alex Riesen:
> On Thu, May 20, 2010 at 19:45, Jens Lehmann <[email-masked]> wrote:
>> Am 20.05.2010 16:12, schrieb Alex Riesen:
>>> Maybe because we do a (kind of) gentle status run on submodules
>>> whether the status.SubmoduleSummary set or not.
>>
>> Yup, because checking a submodule for its dirtiness has to be done
>> no matter if the summary output is also wanted.
> 
> Yeah. Why?

Because summary output only describes what commits happened in the
submodule (that operation is rather cheap). The status run is done
to tell what changes in the submodules work tree have occurred since
the last commit there (and for that we have to scan the whole tree).

>>> Usually a background
>>> run of "git status" for every submodules goes unnoticed, just
>>> sometimes a submodule is a little too big.
>>>
>>> I tried this, but feels like a bit of overkill.
>>
>> This patch seems to disable submodule output completely for the default
>> case (when status.SubmoduleSummary is false) and breaks 17 test cases.
> 
> That's why I said it feels like overkill

I just wanted to confirm your feeling ;-)